summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author JEREMY HOCDE <jeremyhocde@gmail.com>2018-01-19 19:00:48 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-01-20 07:01:16 +0700
commit570ce2839d8f6c434e524d1099ea939d575b7639 (patch)
tree40331336a5739c929aec86b4ab0b6e915daa622f
parent1f6344f12cfc655602b119b38e91e5ba2146047a (diff)
downloadslackbuilds-570ce2839d8f6c434e524d1099ea939d575b7639.tar.gz
slackbuilds-570ce2839d8f6c434e524d1099ea939d575b7639.tar.xz
system/open-vm-tools: Update script.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/open-vm-tools/README6
-rw-r--r--system/open-vm-tools/open-vm-tools.SlackBuild24
-rw-r--r--system/open-vm-tools/open-vm-tools.info4
3 files changed, 29 insertions, 5 deletions
diff --git a/system/open-vm-tools/README b/system/open-vm-tools/README
index 7f97995ca7..8e7859304c 100644
--- a/system/open-vm-tools/README
+++ b/system/open-vm-tools/README
@@ -6,3 +6,9 @@ and seamless user interactions with, guests. It includes kernel
modules for enhancing the performance of virtual machines
running Linux or other VMware supported Unix like guest
operating systems.
+
+Multiple options in SlackBuild :
+
+VGAUTH=no # Default option
+VGAUTH=yes # xerces-c is required
+VGAUTH=xmlsec # xmlsec is required
diff --git a/system/open-vm-tools/open-vm-tools.SlackBuild b/system/open-vm-tools/open-vm-tools.SlackBuild
index b0fd9e0ebb..a294741688 100644
--- a/system/open-vm-tools/open-vm-tools.SlackBuild
+++ b/system/open-vm-tools/open-vm-tools.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for open-vm-tools
# Copyright 2017 Jeremy HOCDE
+# Copyright 2018 Alexander VERBOVETSKY
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +24,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=open-vm-tools
-VERSION=${VERSION:-10.2.0_7253323}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-10.2.0_7253323} # Remember to change VERSION - to _ !!!
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
SRCVER=$(echo $VERSION | tr _ -)
@@ -56,6 +57,23 @@ else
LIBDIRSUFFIX=""
fi
+VGAUTH=${VGAUTH:-no}
+case "$VGAUTH" in
+ no)
+ VGAUTH_OPTS="--disable-vgauth"
+ ;;
+ yes)
+ VGAUTH_OPTS=""
+ ;;
+ xmlsec)
+ VGAUTH_OPTS="--enable-xmlsec1"
+ ;;
+ *)
+ echo "eRRoR with VGAUTH parameter"
+ exit 1
+ ;;
+esac
+
set -e
rm -rf $PKG
@@ -83,8 +101,8 @@ LIBS=-lcrypt \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--without-pam \
- --without-xerces \
--without-x \
+ $VGAUTH_OPTS \
--build=$ARCH-slackware-linux
make
diff --git a/system/open-vm-tools/open-vm-tools.info b/system/open-vm-tools/open-vm-tools.info
index 50cb16bd46..fb9a228e79 100644
--- a/system/open-vm-tools/open-vm-tools.info
+++ b/system/open-vm-tools/open-vm-tools.info
@@ -3,8 +3,8 @@ VERSION="10.2.0_7253323"
HOMEPAGE="https://github.com/vmware/open-vm-tools"
DOWNLOAD="https://github.com/vmware/open-vm-tools/releases/download/stable-10.2.0/open-vm-tools-10.2.0-7253323.tar.gz"
MD5SUM="9256c2402640ad19eb79cf49635e01b5"
-DOWNLOAD_x86_64="https://github.com/vmware/open-vm-tools/releases/download/stable-10.2.0/open-vm-tools-10.2.0-7253323.tar.gz"
-MD5SUM_x86_64="9256c2402640ad19eb79cf49635e01b5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
REQUIRES="libmspack libdnet"
MAINTAINER="JEREMY HOCDE"
EMAIL="jeremyhocde@gmail.com"